cutlass.h File Reference

Basic include for CUTLASS. More...

Go to the source code of this file.

## Namespaces

| cutlass

## Macros

#define | CUTLASS_ENABLE_TENSOR_CORE_MMA 0
#define | CUTLASS_HOST_DEVICE inline
#define | CUTLASS_ASSERT(x) assert(x)
#define | CUTLASS_PRAGMA_UNROLL
#define | CUTLASS_PRAGMA_NO_UNROLL
#define | CUTLASS_GEMM_LOOP

## Enumerations

enum | cutlass::Status { cutlass::Status::kSuccess, cutlass::Status::kErrorMisalignedOperand, cutlass::Status::kErrorInvalidLayout, cutlass::Status::kErrorInvalidProblem, cutlass::Status::kErrorNotSupported, cutlass::Status::kErrorWorkspaceNull, cutlass::Status::kErrorInternal, cutlass::Status::kInvalid }
| Status code returned by CUTLASS operations. More...

## Macro Definition Documentation

#define CUTLASS_ASSERT | ( |  | x | ) | assert(x)

#define CUTLASS_ENABLE_TENSOR_CORE_MMA 0

#define CUTLASS_GEMM_LOOP

#define CUTLASS_HOST_DEVICE inline

#define CUTLASS_PRAGMA_NO_UNROLL

#define CUTLASS_PRAGMA_UNROLL